Download it now!
Bug 66772 - EDITING: LibO not allows input methods and IME to use some "Ctrl+XXX" hotkeys
Summary: EDITING: LibO not allows input methods and IME to use some "Ctrl+XXX" hotkeys
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3 all versions
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: CJK Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2013-07-10 13:09 UTC by minhsien0330
Modified: 2019-06-23 17:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description minhsien0330 2013-07-10 13:09:19 UTC
Problem description: 
For chinese users, we use some chinese input methods type chinese characters , for example gcin on Linux or some IME programs on Microsoft Windows.

Input method programs usually provide some hotkeys to output some common chinese symbols, eg: pressing "Ctrl+," will send a character "," to Writer. Here is other examples:
"Ctrl+." will send a "。"
"Ctrl+/" will send a "?"
"Ctrl+[" will send a "「"
"Ctrl+]" will send a "」"

We can do this under MS office on Windows and other gtk applications (eg: leafpad) on Linux. 

But Libreoffice (both Linux and Windows version) still not allow input method programs or IME from to catch the "Ctrl+," or some "Ctrl+XXX" keys , so user cannot use these hotkeys to output some common symbols, it's so inconvenient.

Steps to reproduce:
1. Open Writer
2. Using gcin or Microsoft New Phonetic IME (switch to chinese typing mode)
3. Press "Ctrl+,", nothing happen

Current behavior:
Nothing happen after pressing "Ctrl+,".

Expected behavior:
Libreoffice let gcin or Microsoft New Phonetic IME catch the "Ctrl+," and output a "," to Writer.

Thank you.
Operating System: All
Version: 3.3 all versions
Comment 1 tommy27 2013-07-15 11:47:43 UTC
Confirming issue. 
the combination "Ctrl+," is not offered.

the same applies to "Alt+," and combined variants such as "Ctrl+Alt+," and "Ctrl+Shift+," etc. etc.

LibO hotkey customizer actually allows a lot of combinations like:
 
"Ctrl+0"  --> "Ctrl+9" 
"Ctrl+A"  --> "Ctrl+Z" 
"Ctrl+F1"  --> "Ctrl+F16" 
"Ctrl+." 
"Ctrl+;" 
"Ctrl+/" 
"Ctrl+[" 
"Ctrl+]"
"Ctrl++"
"Ctrl+*"
"Ctrl+Home"
"Ctrl+End"
"Ctrl+Enter"
"Ctrl+Space"
"Ctrl+ArrowUp", "Ctrl+ArrowDown", "Ctrl+ArrowLeft", "Ctrl+ArrowRight"
"Ctrl+PageUp", "Ctrl+PageDown"
Comment 2 minhsien0330 2013-07-15 12:16:53 UTC
Dear  tommy27:
Thanks for your confirming.
Additionally,  I'm sure that I did not setup "Ctrl+." to do anything in Libreoffice, but Libreoffice still not allow any chinese input method or other IMEs on Windows to use this hotkey.
I think the expected behavior should be "if Libreoffice do not use this hotkey, allow other input method or IMEs use it".
Thank you.
Comment 3 tommy27 2013-07-15 13:20:42 UTC
ok. as a workaround you can create custom macros to fit your desired chinese characters.

modify the following code to meet your needs:

Function insertSpecialChar(sChar)

'sChar is the char to be inserted
dim oDocument as object
dim oText as object
dim oVCursor, oCursor as object
oDocument=thiscomponent
oText = oDocument.Text
' after this, an obscure call gets the current cursor position
oVCursor = oDocument.currentcontroller.getViewCursor()
' now try either
oText.insertString(oVCursor.getStart(),sChar,false)
End Function
' --------------------------------------------------------------------------
Sub InsertBeta
' this is an example for the use of InsertSpecialChar
' all you do is to copy this, with a different name (like Insertaring)
' and then cut-and-paste the char you want to insert instead of theBeta 
' between the double quotes after "insertSpecialChar" in the next line
InsertSpecialChar("ß")
End Sub
' --------------------------------------------------------------------------
Sub InsertMM2
InsertSpecialChar("²")
End Sub
' --------------------------------------------------------------------------
Sub InsertMM3
InsertSpecialChar("³")
End Sub



as said before you can assign each one of these macros to a certain "Ctrl+something" combination, apart from "Ctrl+," which is not available



you can already
Comment 4 minhsien0330 2013-07-16 07:49:51 UTC
Dear tommy27:
Thanks for your advice, now we get another workaround before this problem be fixed. :)
Comment 5 tommy27 2014-10-17 04:52:07 UTC
@minhsien0330
could you please give an update of the bug status with current LibO 4.3.2.2?
thanks.
Comment 6 minhsien0330 2014-10-19 13:08:40 UTC
tommy27:
I tried 4.3.4.0 (2013-10-15) and 4.3.2.1, and this bug is still there.
I'll try 4.3.2.2  after I download it.
Thank you~
Comment 7 minhsien0330 2014-10-19 13:11:40 UTC
Sorry, the version of 4.3.4.0 is 2014-10-15, but not 2013-10-15.
Comment 8 minhsien0330 2014-10-21 00:15:44 UTC
@tommy27:
LibO 4.3.2.2 still has this bug. Thanks.
Comment 9 QA Administrators 2015-12-20 16:16:45 UTC Comment hidden (obsolete)
Comment 10 minhsien0330 2015-12-27 07:39:46 UTC
LibO Version: 5.0.4.2 still has this bug. Thanks.
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78

operating system:Linux (Debian)
Comment 11 QA Administrators 2017-01-03 19:55:13 UTC Comment hidden (obsolete)
Comment 12 minhsien0330 2017-01-04 11:02:36 UTC
LO 5.2.4 still has this bug. Thanks~
Comment 13 QA Administrators 2018-01-05 03:42:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug